# Media Adverse

<details>

<summary>Searching for media that mentions the person name</summary>

<mark style="background-color:green;">GET /search/media</mark>&#x20;

**Headers**

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): application/json

**Request Body : N/A**

**Query Param**:&#x20;

* personName: string (example: Cyril Ramaphosa)

**Responses**

* **OK**

  * Code : 200
  * Body: this represent a list of person on media articles having the person name

  ```json
  [
      {
          "title": "Profile: Laurent Nkunda",
          "link": "https://www.theguardian.com/world/2009/jan/23/profile-laurent-nkunda-congo",
          "snippet": "Profile: Laurent Nkunda ... Nkunda, 40, studied psychology and has been a soldier since 1993. Although born in Congo, he fought with the Rwandan...",
          "date": "189 months ago",
          "source": "The Guardian",
          "imageUrl": null,
          "position": 1
      },
      {
          "title": "Rwanda rejects US calls for withdrawal of missiles, troops from eastern Congo",
          "link": "https://www.africanews.com/2024/02/19/rwanda-rejects-us-calls-for-withdrawal-of-missiles-troops-from-eastern-congo/",
          "snippet": "Authorities in Rwanda on Monday rejected US calls for the withdrawal of troops and missile systems from eastern Congo, saying they are defending Rwandan...",
          "date": "2 months ago",
          "source": "Africanews",
          "imageUrl": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcS_yh4OHlDshEHTvyGNE1CZCZomV4fmS2vyqX8y_GUQ3ybNPa8VPOtSeUeqmQ&s",
          "position": 2
      },
      {
          "title": "What does Congo's Gen. Nkunda want?",
          "link": "https://www.csmonitor.com/World/Africa/2008/1114/p06s01-woaf.html",
          "snippet": "An ordained preacher and rebel group commander, Gen. Laurent Nkunda is threatening to draw other nations into a war in eastern Congo.",
          "date": "191 months ago",
          "source": "The Christian Science Monitor",
          "imageUrl": null,
          "position": 3
      }
  ]
  ```
* **UnAuthorized**
* **Bad Request**

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.danaya.africa/documentation/integration-mode/rest-api/aml/media-adverse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
